Skip to main content
GET
/
safety-events
Get Safety Events
curl --request GET \
  --url https://api.samsara.com/safety-events \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "asset": {
        "id": "bb2ff5ab-30ad-49ec-9d2d-55ec30bbf590,6caeb9c0-7e3d-49ae-a015-45c2f68fed4c",
        "attributes": [
          {
            "dateValues": [
              "2024-01-15",
              "2024-12-31"
            ],
            "id": "494123",
            "name": "Compliance/ELD",
            "numberValues": [
              867,
              5309
            ],
            "stringValues": [
              "HQ",
              "Leased"
            ]
          }
        ],
        "externalIds": {},
        "name": "MyAsset-1234",
        "tags": [
          {
            "id": "3914",
            "name": "East Coast",
            "parentTagId": "4815"
          }
        ],
        "type": "trailer",
        "vin": "1GBJ6P1B2HV112765"
      },
      "behaviorLabels": [
        {
          "label": "Acceleration",
          "source": "automated"
        }
      ],
      "contextLabels": [
        {
          "authorId": "1234",
          "createdAtTime": "2023-01-27T07:06:25Z",
          "name": "Moderate Traffic"
        }
      ],
      "createdAtTime": "2023-01-27T07:06:25Z",
      "driver": {
        "id": "0987",
        "attributes": [
          {
            "dateValues": [
              "2024-01-15",
              "2024-12-31"
            ],
            "id": "494123",
            "name": "Compliance/ELD",
            "numberValues": [
              867,
              5309
            ],
            "stringValues": [
              "HQ",
              "Leased"
            ]
          }
        ],
        "externalIds": {},
        "name": "Driver Name",
        "tags": [
          {
            "id": "3914",
            "name": "East Coast",
            "parentTagId": "4815"
          }
        ]
      },
      "endMs": "2023-01-27T07:06:25Z",
      "eventState": "needsCoaching",
      "id": "bb2ff5ab-30ad-49ec-9d2d-55ec30bbf590,6caeb9c0-7e3d-49ae-a015-45c2f68fed4c",
      "inboxEventUrl": "https://cloud.samsara.com/",
      "incidentReportUrl": "https://cloud.samsara.com/",
      "location": {
        "headingDegrees": 120,
        "latitude": 37.7749,
        "longitude": 137.2719,
        "accuracyMeters": 5.801,
        "address": {
          "city": "New York",
          "country": "USA",
          "neighborhood": "Mission District",
          "pointOfInterest": "The Eiffel Tower",
          "postalCode": "10010",
          "state": "New York",
          "street": "Main Street",
          "streetNumber": "16"
        },
        "geofence": {
          "externalIds": {},
          "id": "12345"
        }
      },
      "maxAccelerationGForce": 1,
      "startMs": "2023-01-27T07:01:25Z",
      "updatedAtTime": "2023-01-27T10:04:20Z",
      "assignedCoach": "0987",
      "detectedStreams": [
        {
          "input": "dashcamRoadFacing",
          "url": "https://samsara-driver-media-upload.s3.us-west-2.amazonaws.com/123456",
          "auxcamSerial": "ABC123",
          "cameraRole": "leftMirrorMount"
        }
      ],
      "dismissalReason": {
        "code": "incorrect",
        "comment": "minorEvent"
      },
      "media": [
        {
          "input": "dashcamRoadFacing",
          "url": "https://samsara-driver-media-upload.s3.us-west-2.amazonaws.com/123456",
          "auxcamSerial": "ABC123",
          "cameraRole": "leftMirrorMount"
        }
      ],
      "speedingMetadata": {
        "maxSpeedKilometersPerHour": 6512700624259081000,
        "postedSpeedLimitKilometersPerHour": 5891945604996125000
      },
      "tripEndTime": "2023-01-27T07:06:25Z",
      "tripStartTime": "2023-01-27T07:06:25Z",
      "updatedByUserId": "0987"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

safetyEventIds
string[]
required

Required string of comma separated Safety Event IDs. Unique Samsara IDs (uuid) of the safety event.

includeAsset
boolean
default:false

Indicates whether or not to return expanded “asset” data

includeDriver
boolean
default:false

Indicates whether or not to return expanded “driver” data

includeVgOnlyEvents
boolean
default:false

Indicates whether or not to return events that are captured by devices with only a Vehicle Gateway (VG) installed.

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Response

OK response.

data
object[]
required

List of safety event objects.

pagination
object
required

Pagination parameters.